Question to OO matplotlub tutorial

No. I pasted the complete script into the mail. There is

    > nothing else I execute...

Please post the following commands, or their equivalent for your
platform, and their output. Please include the commands you actually
type in your post.

  > cat test.py
  > /usr/bin/python2.4 ./test.py --verbose-helpful

JDH

Here we go:

florian@...615... ~/visualizer $ cat test.py
from matplotlib.backends.backend_agg import FigureCanvasAgg as FigureCanvas
from matplotlib.figure import Figure

fig = Figure()
canvas = FigureCanvas(fig)
ax = fig.add_subplot(111)
ax.plot([1,2,3])
ax.set_title('hi mom')
ax.grid(True)
ax.set_xlabel('time')
ax.set_ylabel('volts')
canvas.print_figure('test')
florian@...615... ~/visualizer $ /usr/bin/python2.4 ./test.py --verbose-helpful
bash: /usr/bin/python2.4: Datei oder Verzeichnis nicht gefunden
florian@...615... ~/visualizer $ /usr/bin/python ./test.py --verbose-helpful
matplotlib data path /usr/share/matplotlib
loaded rc file /usr/share/matplotlib/.matplotlibrc
matplotlib version 0.80
verbose.level helpful
interactive is False
platform is linux2
numerix Numeric 23.7
font search path ['/usr/share/matplotlib']
loaded ttfcache file /home/florian/.ttffont.cache
No module named pygtk
PyGTK version 1.99.16 or greater is required to run the GTK Matplotlib
backends

Ok, I admin I've just seen that the .matplotlibrc sets GTK as the default
backend. But isn't that being overwritten?

florian@...615... ~/visualizer $ cat /usr/share/matplotlib/.matplotlibrc | grep
backend
backend : GTKAgg # the default backend
[...]

Regards,

Florian

···

Am Freitag, 13. Mai 2005 18:49 schrieb John Hunter:

    > No. I pasted the complete script into the mail. There is
    > nothing else I execute...

Please post the following commands, or their equivalent for your
platform, and their output. Please include the commands you actually
type in your post.

  > cat test.py
  > /usr/bin/python2.4 ./test.py --verbose-helpful